Bug 842569 - UI - "Symbol as array index (TypeError)" Error when clicking on errata install result status "Install Finished" link for system groups.
UI - "Symbol as array index (TypeError)" Error when clicking on errata instal...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 05:12 EDT by Hayk Hovsepyan
Modified: 2013-08-16 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The following error occurred after applying errata to a system group that contained two systems where one systems was already updated: "Symbol as array index (TypeError)" This was due to the handling of return output from Pulp. This fix handles arrays returned from Pulp as unchanged. This removes this error from System Engine.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-07-24 05:12:10 EDT
Description of problem:
When we install errata on system group which contains 2 systems, but only one needs errata to be installed (second on is already updated somehow), when clicking on "Install Finished" link, it shows Error "Symbol as array index (TypeError)".


Version-Release number of selected component (if applicable):
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.47-1.git.225.b3aa579.el6.noarch
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-0.2.6-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
candlepin-0.5.32-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.47-1.git.225.b3aa579.el6.noarch
pulp-selinux-server-1.1.11-1.el6.noarch
katello-agent-1.0.4-1.git.11.1606589.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
pulp-common-1.1.11-1.el6.noarch
katello-certs-tools-1.1.6-1.git.572.1606589.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.47-1.git.225.b3aa579.el6.noarch
katello-0.2.47-1.git.225.b3aa579.el6.noarch
katello-configure-0.2.30-1.git.16.0e273d4.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-0.2.43-1.git.16.350a9f2.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.47-1.git.225.b3aa579.el6.noarch
katello-selinux-0.2.6-1.git.9.1606589.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-0.2.43-1.git.16.350a9f2.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.Import some manifest which repo contain errata.
For example standart ACME_Corporation manifest with RHEL6. Activate the repo " Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server" and sync it.
Add repo, erratas to template.
Add the product and template to changeset and promote it.

2. Make sure you have katello-agent installed on 2 systems and "goferd" service running on that systems.
Subscribe that systems.

3. On first system install the latest version of telnet "telnet-0.17-47.el6.x86_64". On second system install older version of telnet "telnet-0.17-46.el6.x86_64" manually.

4. On that client systems execute:
sed -i -e "s/certFrequency.*/certFrequency = 4/" /etc/rhsm/rhsm.conf
service rhsmcertd restart
This is for updating certificate refresh frequency.

5. Create system group and add subscribed client systems to it.
  
6. From WebUI, go to System Groups, select just created system group, and install "telnet" errata on it. You will see that only 1 system requires "telnet" errata from subscribed 2 systems. And after install is finished, click on "Install Finished" link next to errata. And you will see Error "Symbol as array index (TypeError)" displayed on the top of the page.

Actual results:
Error "Symbol as array index (TypeError)" is displayed after clicking on "Install Finished" link.

Expected results:
No Error should be displayed and subpanel should be opened for displaying detailed info about installation process.
Comment 1 Og Maciel 2012-07-24 09:10:57 EDT
I remember seeing this, but for me it seems that it was caused by an update to my Katello server which changed goferd's port. I had manually change the port in the client's config file, and restart goferd in order to get it to work.
Comment 2 Brad Buckingham 2012-08-29 10:22:55 EDT
github pull request:
https://github.com/Katello/katello/pull/518

github commit:
https://github.com/Katello/katello/commit/4b1ceddf1abe8efe96846c1ed5df834a88485ccb

See commit for description of changes.
Comment 4 Hayk Hovsepyan 2012-09-17 10:24:41 EDT
Verified on revision:
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64

Now it shows info on subpanel. Also the same information is displayed in system_group > events history page.
Comment 6 errata-xmlrpc 2012-12-04 14:48:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 7 Mike McCune 2013-08-16 14:22:32 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.